#region License
// Copyright  2013 ukasz witkowski
// http://www.lukesw.net/
//
// This library is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this library.  If not, see <http://www.gnu.org/licenses/>.
#endregion

namespace Luminous.Windows.Forms
{
	/// <summary>
	/// Specifies constants defining the default button on a TaskDialog.
	/// </summary>
	public enum TaskDialogDefaultButton
	{
		/// <summary>
		/// No button on the TaskDialog is the default button.
		/// </summary>
		None = 0,
		/// <summary>
		/// The first button on the TaskDialog is the default button.
		/// </summary>
		Button1 = 1,
		/// <summary>
		/// The second button on the TaskDialog is the default button.
		/// </summary>
		Button2 = 2,
		/// <summary>
		/// The third button on the TaskDialog is the default button.
		/// </summary>
		Button3 = 3,
		/// <summary>
		/// The fourth button on the TaskDialog is the default button.
		/// </summary>
		Button4 = 4,
		/// <summary>
		/// The fifth button on the TaskDialog is the default button.
		/// </summary>
		Button5 = 5,
		/// <summary>
		/// The sixth button on the TaskDialog is the default button.
		/// </summary>
		Button6 = 6,
		/// <summary>
		/// The seventh button on the TaskDialog is the default button.
		/// </summary>
		Button7 = 7,
		/// <summary>
		/// The eight button on the TaskDialog is the default button.
		/// </summary>
		Button8 = 8,
		/// <summary>
		/// The first ninth on the TaskDialog is the default button.
		/// </summary>
		Button9 = 9,
		/// <summary>
		/// The tenth button on the TaskDialog is the default button.
		/// </summary>
		Button10 = 10,
		/// <summary>
		/// The eleventh button on the TaskDialog is the default button.
		/// </summary>
		Button11 = 11
	}
}